/* The file filters.c contains the functions used for
 * computing the spectral samples of the proposed filters.
 */

#include <complex.h>

/* filter value */
complex float sinc_filter(float x, float y);
complex float shift_filter(float x, float y);
complex float derivative_filter(float x, float y);
complex float laplacian_filter(float x, float y);
complex float gaussian_filter(float x, float y);
complex float lowpass_filter(float x, float y);
complex float highpass_filter(float x, float y);
complex float steered_filter(float x, float y);

/* normalization constant for steered filters */
float compute_alpha(int Q);

/* parameters of filters (global variables) */
extern float global_shift_x;
extern float global_shift_y;
extern int global_derivative;
extern float global_gaussian;
extern int global_number_steer;
extern int global_steer;
extern float global_alpha;
